Get imported posts with analytics for a social account
curl --request GET \
--url https://api.bundle.social/api/v1/post-history-import/posts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bundle.social/api/v1/post-history-import/posts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bundle.social/api/v1/post-history-import/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"posts": [
{
"id": "<string>",
"socialAccountId": "<string>",
"internal": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"analytics": [
{
"id": "<string>",
"profilePostId": "<string>",
"impressions": 123,
"impressionsUnique": 123,
"views": 123,
"viewsUnique": 123,
"likes": 123,
"dislikes": 123,
"comments": 123,
"shares": 123,
"saves": 123,
"forced": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"raw": null,
"deletedAt": "2023-11-07T05:31:56Z"
}
],
"postId": "<string>",
"externalId": "<string>",
"title": "<string>",
"description": "<string>",
"smallThumbnail": "<string>",
"thumbnail": "<string>",
"permalink": "<string>",
"extraData": null,
"subreddit": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"importedAt": "2023-11-07T05:31:56Z",
"externallyDeletedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"remainingCapacity": 123
}{
"message": "<string>",
"statusCode": 123,
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}postImport
Get imported posts with analytics for a social account
List the historical posts pulled in by an import, with their analytics and your remaining import capacity. Use it to report on performance from before the account was connected.
GET
/
api
/
v1
/
post-history-import
/
posts
Get imported posts with analytics for a social account
Authorizations
Query Parameters
Available options:
FACEBOOK, INSTAGRAM, THREADS, TIKTOK, YOUTUBE, LINKEDIN, PINTEREST, REDDIT, MASTODON, BLUESKY Required range:
1 <= x <= 100Required range:
x >= 0Was this page helpful?
⌘I